Texa DeskDevelopers

Texa Desk Application API · Conversations

Toggle Status

POST/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_status

Toggle the status of a conversation. Pass status to explicitly set the conversation state. Use snoozed along with snoozed_until to snooze a conversation until a specific time. If snoozed_until is omitted, the conversation is snoozed until the next reply from the contact. Regardless of the value provided, snoozed conversations always reopen on the next reply from the contact.

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

conversation_idintegerrequired

The numeric ID of the conversation

Body application/json

statusstringrequired

The status of the conversation One of: open, resolved, pending, snoozed.

snoozed_untilnumber

When status is snoozed, schedule the reopen time as a Unix timestamp in seconds. If not provided, the conversation is snoozed until the next customer reply. The conversation always reopens when the customer replies.

Responses

200

Success

metaobject
payloadobject
payload.successboolean
payload.current_statusstring

One of: open, resolved, pending, snoozed.

payload.conversation_idnumber
404

Conversation not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring